package pl.helion.j2mepp.edytorplansz;
import java.io.*;
public class EdytorPlansz
{
 private static short wShort(String s)
 {
  short wynik = 0;
  try
  {
   wynik = Short.parseShort(s);
  }
  catch (NumberFormatException e)
  {
   wynik = Short.MIN_VALUE; 
  }
  return wynik;
 }
 private static short zapisz(String tekst, BufferedReader wej, DataOutputStream wyj) throws IOException
 {
  System.out.println(tekst);
  short b;
  do
  {
   String temp = wej.readLine();
   b = wShort(temp);
  } while (b==Short.MIN_VALUE);
  wyj.writeShort(b);
  return b;
 } 
 public static void main(String[] args)
 {
  DataOutputStream wyj;
  String nazwa = "";
  try
  {
   BufferedReader wej = new BufferedReader(new InputStreamReader(System.in));
   System.out.println("Podaj nazwe wejsciowego pliku:");
   nazwa = wej.readLine();
   wyj = new DataOutputStream(new FileOutputStream(nazwa));
   short x = zapisz("Podaj X poczatkowe",wej,wyj);
   short y = zapisz("Podaj Y poczatkowe:",wej,wyj);
   zapisz("Podaj X koncowe:",wej,wyj);
   zapisz("Podaj Y koncowe:",wej,wyj);
   short szerokosc = zapisz("Podaj szerokosc ekranu:",wej,wyj);
   short wysokosc = zapisz("Podaj wysokosc ekranu:",wej,wyj);
   short duzex = zapisz("Podaj liczbe elementow planszy w poziomie:",wej,wyj);
   short duzey = zapisz("Podaj liczbe elementow planszy w pionie:",wej,wyj);
   wyj.writeShort((duzex*WYMIAR_PL/szerokosc)+1);
   wyj.writeShort((duzey*WYMIAR_PL/wysokosc)+1);
   zapisz("Podaj X poczatkowej planszy:",wej,wyj);
   zapisz("Podaj Y poczatkowej planszy:",wej,wyj);
   for (int i=0;i<duzey;i++)
    for (int j=0;j<duzex;j++)
     zapisz("Podaj rodzaj elementu planszy dla elementu o wspolrzednych ("+j+","+i+")",wej,wyj);
   short ilosc = zapisz("Podaj ilosc potworkow:",wej,wyj);
   for (int i=0;i<ilosc;i++)
   {
    short b1 = zapisz("Podaj X poczatkowe potworka",wej,wyj);
    short b2 = zapisz("Podaj X koncowe potworka",wej,wyj);
    short by = zapisz("Podaj Y potworka",wej,wyj);
    if (b1<b2) 
     wyj.writeShort(1);
    else
     wyj.writeShort(0);
    short planszax = (short)((b1*WYMIAR_PL/szerokosc)+1);
    short planszay = (short)((by*WYMIAR_PL/wysokosc)+1);
    wyj.writeShort(planszax);
    wyj.writeShort(planszay);
   }
   wej.close();
   wyj.close();
  }
  catch (Exception e)
  {
   if (nazwa!=null)
   {
    File f = new File(nazwa);
    if (f.exists())
     f.delete();
   }
  }
 }
 private static final int WYMIAR_PL = 16;
}